## cachetts 0.0.0-1

=== Makefile ===
BINDIR		= $(DESTDIR)/usr/bin
CONFDIR		= $(DESTDIR)/home/user
VOICEDIR	= $(DESTDIR)/home/user/MyDocs/

all:

clean:

install:
	install -d $(BINDIR) $(CONFDIR) $(VOICEDIR) 
	install -m555 ./cachetts.py $(BINDIR)
	install -m644 -ouser ./cachetts.conf $(CONFDIR)/.cachetts.conf
	cp -ra ./cachetts $(VOICEDIR)
	chown -R user $(VOICEDIR)/cachetts
	chmod -R 644 $(VOICEDIR)/cachetts

=== debian/changelog ===
cachetts (0.0.0-1) unstable; urgency=low

  * Initial release of caching text to speach proxy

 -- Guseynov Alexey <kibergus_REMOVE_@gmail.com>  Sun, 23 May 2010 12:25:18 +0000

=== debian/control ===
Source: cachetts
Section: user/multimedia
Priority: extra
Maintainer: Guseynov Alexey <kibergus@gmail.com>
Build-Depends: debhelper (>= 5), python2.5, python-gobject, python-dbus, python-gst0.10
Standards-Version: 3.7.2

Package: cachetts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Caching text to speech proxy.
 Caches generated voice in audio files and selects fastest synthez method. Designed to be used with voice navigation.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAA7LSURBVGiBvZp7rBzXXce/v3PO7Ozuffja
 jt/Gub5xavyIlcSOE2jJ3YR3wApCCUilaqhABVJilH+QqKrejVIJKhXRElRV
 6oMAKfxx+RORRjS+6z4SMBEoIQ8CUdLQ2I197bjenZmdmXPO78cfM7M79+Y6
 thHpkUa7O3dn53N+53t+r7kkIqiP2dnZX7148eLBKIpUda7ZbIpS4DBsCbNj
 MMQ0DDeD0DvnmIk8M7s8z721GQdB6Fut0LrM+tSmrtFocBi2Oc9z8XnuyRjX
 bDZ9QOQz73273XDM3nnPTrNyXimrvXdea2ucc84YG4bWWhvaHTt2pM8880wK
 QACAqgnceOPu+U3XbXl6ohlyGDagSEQbDUUkgLDzLM55YWZmEZbiQiaQB+AF
 wszwLOyFxXkWz+ytiFiBWIAsETISZEKSARgKYyiQVFgSEo4ZSAiIiRADKlFE
 MbOPIXpokSdAI2k4l/owTL33/eeee86SiOCWo0d/8sYf2/Z0kiQmyzIMBgMM
 h0OAAAIJiEAAExEgIkIQCImIeBYWiDALGMIeBCaQA8GTkIdCDkbuha2w5Cyc
 iiCFyJBIDQWSEFFMQjErjkkohkgkSkVaJBLhmBUlhnVstE6CSZXmuUm3EeXr
 9u5NDQDs2bn1vpnpKf3UN5eQZTkBICIAoEpFAkARodQbldaHQnGOicAEpQEw
 iBQgHoAjopFGichDoIlIC6CJQERECkRCIgpKoJRXgIMST2ScEXEIYIHAAXBt
 33aA9YNNmzhfXiYDAK/+139/fMP6DSP4QloFdzkPAgil2gQQJkAXKwEGiERk
 tEgQUkTgUqJEIAhEIBBSxAR4EXJEYoko90IZEeUCnwpzpoFUlEq15GluJOVU
 Z42Gzrz3Ns9zNzMz4/v9vt+/f78oAPjpzp3NQTQYGar2SurnmWRSSERIRCAi
 gFSfARGQCKP8m3jPwszsPTOzeGHxznvLLJZFcmafec+ZeD/0Xobe+6Q8Ii8u
 9t4PLNvYWhtZkZhTnzBz4r1PW608y7IsT5LEbdq0iQ8cOCAGAM4tn3dvv31u
 5HUAkP5FhrqZoX+Gof+DgHME+1cKclpVOhJUy1QcDAgDcCLCROSKDYxMRHIA
 GYCUWYbFJkUizBERxUSIAETsJBLiWCkVee8TAAkZk+R5njFzDoR2YqLld+7c
 6TudDi8sLIg5cuRIMNFqyMVL/RG9+Q2P8KsOsAC/STA7BXQ9wzzIFG8PpNR9
 CQ0GUOndAXAA8gqaiFIAQxEZAohFJCaiWEQGRDQQkQjAAEAfRDEzDwBEWuvE
 OTcUkTQIgqzRaNh169bZOjwAUWfPnp3qDyJh5vFm2128TX7CwD2hEH/IiPs7
 BajR3+rwbjV8ZW0RGYpIAiCpwQ9EpC8iAxHpE1GfiPrMPGDmvlIqcs7FzrlE
 az00xmTNZjNfCx4AlLV23XCYFiIuT4LLlTgmlVyQPmB8vCVw8j3ydauvgs+q
 Q0TSyvo1+AhAJCIREQ2qg5kHRBQppWLnXKyUSrTWaQU/NTXlKvhutzvmBEBb
 t2492m61nj595owhwAigaR/TxL/b8bdiIP+CFvun2kk0gq9k42vweQ0+KeGT
 EjgWkQGAARFFJXi/2AM0KC0/rOCDIMjCMLTXXXed3b9/v19cXBQUUWhF6qCI
 aIPSmgEICucv8oqSwURD8ke1+J4CmkDjk54mzueBOiCySvN5DT4VkWEJX8lm
 QESDUueDmmQulSvQLzdtrJRKjDHDq4UHAGWMmQmCQMqAM96cFpJ/RrM/SRzt
 Cpz7e8UgwPymN6tkY+uaL2VT13xcyqaSTFRJpiabRCk1LGWTt9vt/Grgie7q
 qLDdbjebTR7Be8hklOmpPFcQFB5Hg/03lQcAmgGtsWGzEn5YCG68YYmoX9us
 lyrLK6UGleW11rHWOm00Gmm73c7Xr1/vrgRfjPmOmWy1WsaYsVfRUNkjWhqP
 emp91xokJI22R/Ax1gBgn1BxafWR3lG4y2qzJgDiVdauv+8rpeLahk1Lzeet
 VsvW4Bkl/Wqr1z72jNaB0Vp7pZRmZhAR288aQQgVPMhabWAy89DuO8T2b9VQ
 vqWjGnwGoPI2sYjEJXxcAke1DRuVlo9rsrkiPNFdHZGl3krwhS7QmQd6J43W
 pEpPUq0CQUHyR7XPH9Vp41M+yL+iUjqr0sryjU+76eBhPzv6PQHK4AY+C5fs
 bXyupvm6mxwopZJK88aY1BhjJyYm8i1btri5uTleXFzkd1u92wXma2ce6QK9
 jki3a4IgADMzETERcZGUAShdZf45ZSlXti6b/Iv6XL6ozkMhJ0gGhQyEVAhD
 8pQA6K+W0GrLG2PSIAjydrttt2zZ4o4dO+a73e4Kva8E79SlA5FuFwCMUkq8
 9x5FKsm16xmAp0zVPY0VkQzLGNJ5NQSQ8Fg2AxGJpHCVleVHPr6EH5aWz+rw
 c3NzXMEX0ABwslfAdzpAr1ccJ3sF/FKvgjRKKRaRKjB5IqqMUAWp+oatNJ+g
 CFBVdK0mULnHPjMPlFJ1V1nBp0EQ2Dr84uLyncDCPFGvA6BXQNfBK6uPwUcT
 KK3uygk4EdHlaqyGT1fBJ2WAikQkWq35Ej723kfMPNRaD7XWWbPZzMIw9O32
 PR88dmz7iW5XPr1SIhV4sQprQa81gSqy6iqgichq+MrPV5avAlSElbKJapZP
 6vBhGOYTExOu0fi5D334w9tPdLvzJ8YonfmVaL0rwgOAEREvIpaIAmZWKAqZ
 yvqVbKr0YFgFKJSyAdAHEFUSUkrFRBSVlk+11okxJms0GnZyctLOzPzKB2dm
 7v2pbhefWgV8svAu851K61czTAmbl+9Rm0AmIlWAWpHLlxavZNNfFbCSKq8p
 vU2m1N23G9P0s7Nvn5idvZkff7wnQHd+DF3puwMAVw0/WoHS2paKHQyU2eUa
 8Elp7ZF0vvjFpY/PzMxMEWEoQrFSGBCpMuLqiy++ODHz0kvNrbfcYv+NSB96
 /vnGB26+OTj0wAM/vOfhh3u3vztIXdsw3nvHzBkRaRnXBJaI0jItqMumAu9X
 ETaO1cHp6SDUWqHouqAq/uE9sHdvjOnpHCL4pbfeCnDkSIRbbwUA/OOTT/72
 4NSpCxdElh77P08AhefJAWgRqaosWysBk9JVDmqFyEg2IozXXz+DG27YAaVo
 zZts22YBANu32xXn0xRTZ87YPz9xIv/Dqanw12+7bcMz1zwBEfHMnAFQSilf
 BrUcY8vHJfyoEKkFqQggOOfx1lvnsLT0JIwxMEZDa43z5y/AmABaa3jfgjEa
 Smm02wxjNObmdg0BaRljdmqtv/3ss+brx4/f89FrmgAz2zIVFmY2VPQ5s1Lv
 A4yLkpHV9R0yS6f0s0qpGGV5J8I4ffrMNVnv5ZdfadU+qv37b/xZ4J5r+g3l
 vbfpTdE0HfWTSqlY/76dbfwB3yAifRSW7xPRpTK69oPj/pi+XfYqpSI+nB+g
 tVXzIxvKOWfTg9FGHHHrUVRSVUskMg+52/QdsiU47u+uVVE5EVnnXNI4zr93
 Yu9XzBXu8f5OgIjy5ouTr5dgkTrKm9VR3hI+Ye8HkIV/Yz9RxoN+cNzfR0Q5
 M+fNr7u/VEf5jt0XDvN3Dz1+2RsEPkfg8xXnmjYBCV/2msu5VaJud5zsFcMs
 3/f9j4jIFgyQ09fiXxYRp47y9XxKvRY85H/BPqYXAWTBcf9rRJTrT9jfcT/e
 2hU8NPwfANh9/lb/Tzd8CXhtJfRNP3geuwdvY5dNYESwbELEKsCMT7HV5fiB
 buBMOIlXNu7B9zbeUHVhS/j5DtFdKGJEtzuOzPOjiQBFSm0AuOD51qt4Z2gg
 kvvHzFP8YDbvHjOLzVfTrwHI9O1ykAiebnOHASA47h/Cl5p/EgQBYxMe3nXu
 5hH89otv4MjrPexlj0kAGoACsCGPRt9hANfbBDvTH2JX/wze/P4pnNx3rPzr
 QrdI5opJFNBLS0D3kTJLLXOm7iNEENN4YtMXlLV3q/ONwP2Lep6IMyLKiOgS
 n1IvEFEu/6r+2TNb/EX4WX273Ga+PPmZdrttg+P+j07s/XKAmkLOrN+NE/vX
 4+LbL2AuXsaRbIDr2CFHEd4b5fFS0MLL4TT+c2YXXt28D1Y3yl8Y5/1FXlQ0
 kIlOdsYZa+8k0F0AAOO8T7T3EQBdFjepf8z8NTNH9qPh7yqlEutcrJQZGmMy
 80LwVJXLr7841Zt/+bceSpJ0xgY+BdAEgKg1g2/vvhPfAfCN/mlsjpZXaJmV
 whvrdyMJp/DuUaTQlXTqGalIp0PU7Yp0u0S9nkinY5CmKRddMy0irJSq2oH1
 QiRdq4pa/OPFpZsevvAPmzZNfOSddwbN1SgC4Oz0Dpyd3rEG6NqjAi4g19rM
 1eo80gU6UABSZo601qOmq9a6avUlZbcsDcMwq9evVfG9bt1zHxsObXrVhNcw
 Vlq/mtjKV7Vtm8uYOULR0o601gNmjowxSZnLp2EYZpOTk2sW3wsLC67fTz95
 udbTtSJf6xUqDPfYMm2IjTGx1jrRWg+ttaMqanJy0m7cuNGv1TkAgM9//tif
 Xbo0eONKNyuehgWidei1blpjJmKtJ+JGY2q50Zg+bS1961onYDqdDp8+/UZi
 bQBrrWfmPAiCTERGJeDs7KyrWtuXa/O9+ebyvRMT2+4VoUtE6iIRXRTRF157
 7eU9e/Z84Bu9Ht4BendWnqXwKEUxA6xdsF/NIBHBvn37Zi9duiRExM65PE1T
 G4bhiocK7wV/VTcabciqZFxaKtwhcLmWyVVP4OjBg1uX4xhpmvpGo+GGw6H9
 /4R/90SqScx3Kn9eTuRkUcyvTBfeaygAMNPT+dTUVDY5OZk557L3Cx4oLDwG
 PNkD7rpr5Te6C6vznSv8oODQoUMThw8fbu/cubN14MCBRqfTMd1uV0nt0er7
 eRT7YalXeKHqdaFbNbje61oDAEEQ5Js3b1YAeG5ujg8cOCD1B2nv5xjvjXEH
 bpwq9DpAr0fU64qs7I2ORjkTuv/++3XN6j8Sy797JRa6xQp0OuNVqFZloQss
 dFdfM/pvFYyf0L/vVr+asdJrAeNNP+5MA8D/Aum90iLs9aX+AAAAAElFTkSu
 QmCC
 ====
XSBC-Bugtracker: http://kibergus.su/node/38
Homepage: http://kibergus.su/node/38

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/cachetts.sgml > cachetts.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cachetts.
	$(MAKE) DESTDIR=$(CURDIR)/debian/cachetts install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
